package moe.kageru.kodeshare.pages

import kotlinx.css.*
import kotlinx.css.properties.ms
import kotlinx.css.properties.transition

object Css {
    private val accent1 = Color("#cd7400")
    private val accent2 = Color("#ed7a00")
    private val fontcolor = Color.lightGrey
    val default = CSSBuilder().apply {
        body {
            fontFamily = "Hack, Fira Code, Noto Mono, monospace"
            fontSize = 13.pt
            textAlign = TextAlign.center
            margin = "auto"
            backgroundColor = Color.black
            color = fontcolor
        }
        textarea {
            fontFamily = "Hack, Fira Code, Noto Mono, monospace"
            backgroundColor = Color.black
            color = Color.white
            fontSize = 13.pt
            borderColor = accent1
            borderWidth = 3.px
            borderRadius = 8.px
            borderStyle = BorderStyle.solid
            padding = "5px"
            minWidth = 70.pct
            maxWidth = 100.pct
        }
        rule("input[type=\"submit\"]") {
            backgroundColor = accent1
            borderColor = accent1
            borderWidth = 2.px
            borderRadius = 5.px
            borderStyle = BorderStyle.solid
            color = Color.black
            fontWeight = FontWeight.w600
            padding = "5px 15px"
            cursor = Cursor.pointer
            transition(duration = 500.ms)
        }
        rule("input[type=\"submit\"]:hover") {
            backgroundColor = Color.transparent
            color = accent1
        }
        rule("textarea:focus") {
            borderColor = accent2
        }
        rule("::selection") {
            color = accent1
        }
    }.toString()
}