package moe.kageru.kodeshare.pages

import io.ktor.html.HtmlContent
import io.ktor.http.HttpStatusCode
import kotlinx.html.*

object Homepage {
    val content = HtmlContent(HttpStatusCode.OK) {
        head {
            link(rel = "stylesheet", href = "/style.css", type = "text/css")
        }
        body {
            h1 { +"kodeshare - yet another paste service" }
            form("/", encType = FormEncType.multipartFormData, method = FormMethod.post) {
                acceptCharset = "utf-8"
                p {
                    label { +"Enter or paste your text here " }
                }
                textArea {
                    name = "input"
                    rows = "20"
                    cols = "100"
                }
                p {
                    submitInput { value = "Upload" }
                }
            }
        }
    }
}